%{?scl:%scl_package pgRouting}
%{!?scl:%global pkg_name %{name}}

Name:		%{?scl_prefix}pgRouting
Version:	2.0.0
Release:	2%{?dist}
Summary:	Provides routing functionality to PostGIS/PostgreSQL
Group:		Applications/Databases
License:	GPLv2+
URL:		http://pgrouting.org
Source0:    https://github.com/%{pkg_name}/pgrouting/archive/v%{version}.tar.gz

Patch0:     pgrouting_multiple_boost_epel6.patch

BuildRequires:	boost-devel
BuildRequires:	boost-graph
BuildRequires:	boost-thread
BuildRequires:	CGAL-devel
BuildRequires:	cmake28
BuildRequires:	gmp-devel
BuildRequires:	%{?scl_prefix}postgresql-devel
BuildRequires:	proj-devel

Requires:	%{?scl_prefix}postgis
# Postgis possibly should require postgresql-server already.
# Quite the only component of postgis that would serve a purpose without the
# server on the same machine, is the shape loader. Suse requires postgresql-
# server on postgis and seemingly got no complaints
# Putting it in here for now:
Requires:	%{?scl_prefix}postgresql-server

%global _privatelibs librouting.*\.so.*
%global __provides_exclude ^(%{_privatelibs})$

%description
#TODO:
pgRouting extends the PostGIS / PostgreSQL geospatial database to provide
geospatial routing functionality.

%prep
%setup -n %{pkg_name}-%{version} -qn pgrouting-%{version}

%patch0 -p1 -b .multiboost_epel6

# Correct FSF address
# https://github.com/pgRouting/pgrouting/issues/63
find . \( -name *.cpp -o -name *.c -o -name *.h -o -name *.sql \) -print | xargs -i \
    sed -i 's/59 Temple Place\(, \| - \)Suite 330/51 Franklin Street, Fifth Floor/;s/02111-1307/02110-1301/' {}

%build
install -d build
cd build
%{cmake28} .. \
	-DWITH_DD=OFF

%{?scl:scl enable %{scl} "}
make VERBOSE=1 %{?_smp_mflags}
%{?scl:"}

%install
%{?scl:scl enable %{scl} "}
make -C build install DESTDIR=%{buildroot}
%{?scl:"}

%files
%doc README.md COPYING
%{_libdir}/pgsql/*.so
%{_datadir}/pgsql/contrib/pgrouting-2.0
%{_datadir}/pgsql/extension/*

%changelog
* Tue Oct 08 2013 Adam Miller <maxamillion@fedoraproject.org> - 2.0.0-2
- Use cmake28 from EPEL for EPEL EL6 build
- Add patch to fix multiple boost find_package (credit: rjsm@umich.edu)
- SCL-ize for postgresql92 RHSCL 1.0

* Sat Sep 28 2013 Volker Fröhlich <volker27@gmx.at> - 2.0.0-1
- New upstream release; drop all patches
- New license is GPLv2+
- New source URL
- Filter private provides
- Add dependency on postgresql-server

* Fri Sep 13 2013 Volker Fröhlich <volker27@gmx.at> - 1.05-7
- Rebuild for PostgreSQL 9.3

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 1.05-5
- Rebuild for boost 1.54.0

* Sun Mar 31 2013 Volker Fröhlich <volker27@gmx.at> - 1.05-4
- Link to gmp
- Move most stuff from prep section to patches
- Solve FTBFS (BZ #914327), due to upstream issue 77
- Solve upstream bug 35, issue with NULL geometries

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 26 2012 Volker Fröhlich <volker27@gmx.at> - 1.05-2
- Rebuild for new soname version in CGAL 4.1

* Wed Aug 15 2012 Volker Fröhlich <volker27@gmx.at> - 1.05-1
- Update to 1.05
- Update URL
- Update description
- Correct FSF address
- Retire patch0
- Introduce macros with_gaul and tarname; create conditionals based on the first
- Update flags patch and manually add custom flag
- Replace make macros with the command
- Remove unnecessary BR geos-devel
- Remove unnecessary R postgresql; Postgis takes care of that
- Drop rm for buildroot before install
- Drop ldconfig, because libs are in sub-directory
- Drop version requirements in BRs and Requires.
  All shipped versions are new enough in Fedora
- Enable DD option and added BR CGAL-devel
- Simplify attr and drop defattr in files section

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 14 2010 Viji Nair <viji [AT] fedoraproject DOT org> - 1.03-3
- Fixed patch naming conventions.
- Added backup option for files being patched with suffix.
- Changed the package name from postgresql-pgrouting to pgRouting

* Sun Nov 14 2010 Viji Nair <viji [AT] fedoraproject DOT org> - 1.03-2
- Changed the license to GPLv2+ and Boost.
- Removed the override of CMAKE_INSTALL_PREFIX.
- Removed test for %%{?_lib}.
- Added VERBOSE=1 and %%{?_smp_mflags} for make.
- Patch for removing the preset CFLAGS.
- Removed gcc-c++ from BuildRequires.

* Thu Nov 11 2010 Viji Nair <viji [AT] fedoraproject DOT org> - 1.03-1
- Initial import.
